object E18Main extends App {
    def filterByIndex[T](l:List[T], f:Int=>Boolean):List[T] = {
        def rec[T](l:List[(T,Int)], f:Int=>Boolean):List[T] = l match {
            case Nil => Nil
            case (x,i)::t if (f(i)) => x::rec(t,f)
            case _::t => rec(t,f)
        }
        rec(l.zipWithIndex, f)
    }
    val l = List("zero", "uno", "due", "tre")
    val f = filterByIndex(l, _%2!=0)
    println(f)
}
